%define upstream_name    Math-BigRat
%define upstream_version 0.2602

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Arbitrary big rational numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

# automatic dependency doesn't work here, because perl package
# provides an unversioned one

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Math::BigInt) >= 1.991.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-Math-BigInt >= 1.87
%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing support
for arbitrary big rational numbers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
export PERL5LIB=%{perl_vendorlib}/
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL LICENSE META.yml README SIGNATURE TODO
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.260.200-4.mga3
+ Revision: 369576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 0.260.200-3.mga2
+ Revision: 162817
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.260.200-2.mga2
+ Revision: 112063
- perl 5.14 rebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.260.200-1.mga1
+ Revision: 55387
- update to 0.2602

* Tue Jan 18 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 23341
- cleaning spec file
- imported package perl-Math-BigRat

